from django.utils.functional import lazy
from django.utils.safestring import SafeText

from netbox.plugins import PluginMenu, PluginMenuButton, PluginMenuItem
from netpicker.utilities import get_logo


def lazy_label():
    return SafeText('Netpicker ' + get_logo(style="height:16px;padding:0px 12px 0px 8px;").strip('\n').strip())


imported_device_buttons = [
    PluginMenuButton(
        link='plugins:netpicker:import',
        title='Import',
        icon_class='mdi mdi-netpicker',
    )
]


menu = PluginMenu(
    label=lazy(lazy_label, str),
    groups=(
        (
            'Netpicker', (
                PluginMenuItem(
                    link='plugins:netpicker:job_list',
                    link_text='Automation Jobs',
                    permissions=["netpicker.view_netpickerautomation"]
                ),
                PluginMenuItem(
                    link='plugins:netpicker:log_list',
                    link_text='Automation Logs',
                    permissions=["netpicker.view_netpickerautomation"]
                ),
                PluginMenuItem(
                    link='plugins:netpicker:setting',
                    link_text='Settings',
                    permissions=["netpicker.view_netpickersetting"]
                ),
            )
        ),
    ),
    icon_class='mdi mdi-swap-horizontal',
    # icon_class='mdi mdi-netpicker',
)
